Avisos
Vaciar todo

Migración con VirtueMart 3. Hay novedades (¿Posible sin CSVi?)  

 
Alceste
 Alceste
Noble Member

Hola,
Estoy en el proceso de migración. Ya he migrado de Joomla 1.5.26 a Joomla 3.4.1. Ahora estoy viendo la migración con VirtueMart 3.0.6.4 y veo que con esta versión hay un apartado en el propio VirtueMart llamado "Tools & Migration" y dentro de el están las pestañaw "DB" y "Migration".
¿Significa esto que ahora el propio VirtueMart lleva las herramientas para migrar sin usar CSVi, etc?
Si no es así ¿Existe algún plugin gratuito o del que podáis informar, que consideréis fiable y pueda usarse para migrar de VM 1.1.9 a VM 3.0.6.4?

En resumen: ¿Cómo recomendáis hacer la migración, igual que en anteriores versiones o ha cambiado? ¿Podéis poner el enlace a algún tutorial?

A modo informativo (ya que no podéis informar de plugins de pago) comento por si es de interés en el foro que he adquirido el plugin de Matware para la migración de Virtuemart pro en la web del desarrollador el soporte es practicamente nulo, no se responde al foro ni a los e-mails. Tampoco hay documentación para plugins de terceras partes. Además el plugin para VM es de Septiembre de 2013 y es Beta.

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 02/04/2015 12:43 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Te recomiendo usar CSVImproved, lo instalas en ambos sitios, desde uno exportas y luego lo importas

Saludos.

ResponderCitar
Respondido : 02/04/2015 7:40 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Alceste
 Alceste
Noble Member

Hola John,
En la web del desarrollador dice que es para Joomla 2.5 pero no dice nada de Joomla 3 en la gratuita.

CSVI Free
CSVI is the new generation import/export tool for Joomla 2.5.

En la de pago pone que sí para Joomla 3.3. Pero tengo instalado Joomla 3.4.1

CSVI 6.x
CSVI Pro runs on Joomla 3.3

Saludos

ResponderCitar
Respondido : 07/04/2015 12:10 pm
Julen
 Julen
Miembro Admin

Hola,

De momento la version gratuita no esta disponible para Jooma 2.5. Sí que existe una versión del CSVI compatible con joomla 3 aunque, eso sí, es de pago. La puedes encontrar en el siguiente enlace:

www.csvimproved.com/es/extension/features

Saludos

ResponderCitar
Respondido : 07/04/2015 12:14 pm

Cursos Gratuitos WordPress

Alceste
 Alceste
Noble Member

En la de pago pone que sí para Joomla 3.3. Pero tengo instalado Joomla 3.4.1

CSVI 6.x
CSVI Pro runs on Joomla 3.3

Saludos

ResponderCitar
Respondido : 07/04/2015 12:21 pm
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola,

Aunque ponga que es compatible con Joomla 3.3 y no con Joomla 3.4, casi con total seguridad también será compatible con Joomla 3.4.

En todo caso, te recomiendo consultar esto con los desarrolladores del CSVI para eliminar cualquier duda.

ResponderCitar
Respondido : 07/04/2015 4:00 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Alceste
 Alceste
Noble Member

Hola Pablo,
En el foro de CSVI no tengo permisos de momento para plantear nuevas preguntas y en el formulario de contacto no admiten preguntas de soporte, pero he encontrado este hilo en su foro. De él creo deducir que sí se puede usar con Joomla 3.4.1 y VM 3.0.6.4, pero por otro lado no me queda claro ya que parece que hay problemas. Te copio aquí el contenido del hilo por si podéis ayudarme y ver si efectivamente puede trabajar con estas versiones. O sea que puedo migrar el VM1.1.9 contenido en el Joomla 1.5.26 a VM 3.0.6.4 del nuevo Joomla de destino en 3.4.1

CSVI Pro in Joomla 3.41, Virtuemart 3.064 1 week 4 days ago #42896

michi35 OFFLINE Fresh Boarder

Hi rolandd,

suddenly I have massive problems to compile any file with products wirh csvi.
Database is not correct:

1064 You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'FROM trawH_virtuemart_products LEFT JOIN trawH_virtuemart_product_prices ON traw' at line 2 SQL=SELECT FROM trawH_virtuemart_products LEFT JOIN
trawH_virtuemart_product_prices ON trawH_virtuemart_products.virtuemart_product_id = trawH_virtuemart_product_prices.virtuemart_product_id LEFT JOIN trawH_virtuemart_product_manufacturers ON trawH_virtuemart_products.virtuemart_product_id = trawH_virtuemart_product_manufacturers.virtuemart_product_id LEFT JOIN trawH_virtuemart_manufacturers ON trawH_virtuemart_product_manufacturers.virtuemart_manufacturer_id = trawH_virtuemart_manufacturers.virtuemart_manufacturer_id LEFT JOIN trawH_virtuemart_product_categories ON trawH_virtuemart_products.virtuemart_product_id = trawH_virtuemart_product_categories.virtuemart_product_id LEFT JOIN trawH_virtuemart_categories ON trawH_virtuemart_product_categories.virtuemart_category_id = trawH_virtuemart_categories.virtuemart_category_id LEFT JOIN trawH_virtuemart_currencies ON trawH_virtuemart_currencies.virtuemart_currency_id = trawH_virtuemart_product_prices.product_currency LEFT JOIN trawH_virtuemart_product_shoppergroups ON trawH_virtuemart_product_shoppergroups.virtuemart_product_id = trawH_virtuemart_products.virtuemart_product_id WHERE trawH_virtuemart_products.published = '1' LIMIT 0, 169

Whats wrong?

Best regards Michael
Attachments:

Attachment findashop.csv (24KB)
---------------------------------------------------------

CSVI Pro in Joomla 3.41, Virtuemart 3.064 1 week 4 days ago #42898
michi35 OFFLINE Fresh Boarder

Hello rolandd,

apparently a joomla-update and a virtuemart update at the same time bred the database-error.
After these updates all fields for all templates in csvi suddenly gets the status unpuplished.
Additional, product-edits in virtuemart have no save or cancel function (Version 3.062).
In this case csvi reads any other contents out of the database.

Please don´t update to virtuemart 3.062 under joomla 3.41. Take directly virtuemart 3.064!

Best regards Michael
Last Edit: 1 week 4 days ago by michi35. Report to moderator
---------------------------------------------
rolandd NOW ONLINE Fresh Boarder

Hello Michael,

Indeed there was a problem between Joomla 3.4.1 (not 41 :silly:) and VirtueMart. The same issue appeared in some other extension I heard. It was a problem Joomla fixed which in turn broke extensions that luckily worked with the problem but broke when the problem was corrected.

Funky situation for sure 🙂
Kind regards,

RolandD

Saludos y gracias

ResponderCitar
Respondido : 08/04/2015 10:07 am
Julen
 Julen
Miembro Admin

Hola,

En principio, todo indica que es compatible con tu versión de Joomla. No obstante, te recomendamos consultarlo directamente con los desarrolladores del modulo para aclarar cualquier duda. Tras revisar las formas de contacto, he visto que puedes contactar con ellos mediante el siguiente email: contact@csvimproved.com

Saludos

ResponderCitar
Respondido : 08/04/2015 12:51 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Alceste
 Alceste
Noble Member

Hola Julen,
Sí. Les he plantado la pregunta y parece que sí. Lo que no me queda claro es si puedo importar un VM1.1.9 en Joomla 1.5.26 a VM 3.0.2.6 con Joomla 3.4.1, pero os he planteado esta cuestión en un nuevo hilo porqué era muy concreta. También lo he preguntado a los desarrolladores.

Gracias y saludos

ResponderCitar
Respondido : 08/04/2015 1:05 pm